Subject: Re: bug#22655: grep -Pz '^' now fails!

From: Stephane Chazelas <[email-masked]>
Date: Sun, 20 Nov 2016 09:16:09 +0000

2016-11-20 00:03:26 -0800, Paul Eggert:
> As all the bugs in this bug report appear to be fixed, I'm closing it now.

Thanks.

BTW, I was wrong about

  static char const xprefix[] = "^(?:";
  static char const xsuffix[] = ")$";

(as opposed to \A, \z) causing a problem with grep -Pxz '(?m)...'

as the pattern becomes ^(?:(?m)...)$, so the m flag is only
applied within the (?:...). I can see pcre_compile() supports a
PCRE_ANCHORED flag, but it looks like it only makes ^ implicit
(not $).

-- 
Stephane